/*----------  Media Query min-width Structure   ----------*/

/*----------  Media Query max-width Structure   ----------*/

/*----------  Break-point min-width Structure   ----------*/

/*----------  Break-point max-width Structure   ----------*/

/**

 * Quick View Style

 */

/*=======================

* MODAL POPUP STYLE

========================*/

#thnk-quick-view-content .product_meta {

    border: 1px solid #efefef;

    display: table;

    width: 100%;

    margin-bottom: 40px;

padding:0

}

#thnk-quick-view-content .slides img{

  width:100%!important;

}

#thnk-quick-view-content .product_meta > span {

    display: table-cell;

    vertical-align: middle;

    text-align: center;

    padding:15px;

    border-right: 1px solid #eaeaea;

}

.woocommerce .thnk-woo-product .quantity .qty{

height:38px;

border:0;

}

html.thnk-quick-view-is-open,

html.thnk-quick-view-is-open body {

  overflow: hidden;

}



html.thnk-quick-view-is-open .main-header-bar.thnk-sticky-active,

html.thnk-quick-view-is-open .thnk-above-header.thnk-sticky-active,

html.thnk-quick-view-is-open .thnk-below-header.thnk-sticky-active {

  margin-left: 0;

}



.thnk-quick-view-bg {

  position: fixed;

  visibility: hidden;

  overflow: hidden;

  background: #0b0b0b;

  opacity: 0;

  -webkit-transition: opacity .25s;

  transition: opacity .25s;

  z-index: 1042;

}



.thnk-quick-view-loader {

  z-index: 1000;

  border: none;

  margin: 0px;

  padding: 0px;

  width: 100%;

  height: 100%;

  top: 0px;

  left: 0px;

  position: absolute;

}

.thnk-quick-view-bg-ready {

  top: 0;

  left: 0;

  width: 100%;

  height: 100%;

  opacity: 0.6;

  visibility: visible;

}



body #thnk-quick-view-modal div.product .flex-viewport {

  width: 100%;

  float: none;

}



#thnk-quick-view-modal {

  position: fixed;

  visibility: hidden;

  opacity: 0;

  top: 0;

  left: 0;

  width: 100%;

  height: 100%;

  z-index: 1400;

  text-align: center;

  -webkit-transition: all 0.3s;

  transition: all 0.3s;

  overflow-x: hidden;

  overflow-y: auto;

}



#thnk-quick-view-modal .thnk-content-main-wrapper {

  text-align: center;

  position: absolute;

  width: 100%;

  height: 100%;

  left: 0;

  top: 0;

  padding:0;

}



#thnk-quick-view-modal .thnk-content-main-wrapper:before {

  content: '';

  display: inline-block;

  vertical-align: middle;

  height: 100%;

}



#thnk-quick-view-modal .thnk-content-main {

  position: relative;

  pointer-events: none;

  display: inline-block;

  vertical-align: middle;

  max-width: 100%;

  margin: 0 auto;

  text-align: left;

  z-index: 1045;

  -webkit-transform: translateY(-30px);

  -ms-transform: translateY(-30px);

  transform: translateY(-30px);

  opacity: 0;

  -webkit-transition: opacity .3s, -webkit-transform .5s;

  transition: opacity .3s, -webkit-transform .5s;

  transition: transform .5s, opacity .3s;

  transition: transform .5s, opacity .3s, -webkit-transform .5s;

}



#thnk-quick-view-modal .thnk-content-main:after, #thnk-quick-view-modal .thnk-content-main:before {

  content: '';

  display: table;

  clear: both;

}



#thnk-quick-view-modal .thnk-lightbox-content{

  display: table;

  pointer-events: auto;

  background-color: #fff;

  max-width: 975px;

  margin: 20px auto;

  -webkit-transform: translateZ(0);

  transform: translateZ(0);

  -webkit-box-shadow: 3px 3px 20px 0 rgba(0, 0, 0, 0.15);

  box-shadow: 3px 3px 20px 0 rgba(0, 0, 0, 0.15);

  position: relative;

}



#thnk-quick-view-modal.open {

  visibility: visible;

  opacity: 1;

}



#thnk-quick-view-modal.open .thnk-content-main {

  -webkit-transform: translateY(0);

  -ms-transform: translateY(0);

  transform: translateY(0);

  opacity: 1;

  width: 100%;

}



#thnk-quick-view-modal .thnk-qv-image-slider {

  position: relative;

}



#thnk-quick-view-modal .thnk-qv-image-slider .thnk-qv-slides li {

  list-style: none;

}

#thnk-quick-view-modal .slides {

    cursor: default;

    position: relative;

    top: 0px;

    left: 0px;

    width: auto;

    height: auto;

    overflow: hidden;

}

#thnk-quick-view-modal .thnk-qv-image-slider .flex-control-nav {

  margin: 0;

  padding: 0;

  width: 100%;

  position: absolute;

  bottom: 10px;

  text-align: center;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-control-nav li {

  margin: 0 6px;

  display: inline-block;

  zoom: 1;

  vertical-align: middle;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-control-paging li a {

  width: 11px;

  height: 11px;

  display: block;

  background: #666;

  background: rgba(0, 0, 0, 0.5);

  cursor: pointer;

  text-indent: -9999px;

  -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3);

  box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3);

  -webkit-border-radius: 20px;

  border-radius: 20px;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-control-paging li a.flex-active {

  background: #000;

  background: rgba(0, 0, 0, 0.9);

  cursor: default;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav {

  margin: 0;

  padding: 0;

  list-style: none;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav a {

  text-decoration: none;

  display: block;

  width: 20px;

  height: 20px;

  margin: -20px 0 0;

  position: absolute;

  top: 50%;

  z-index: 10;

  overflow: hidden;

  opacity: 0;

  cursor: pointer;

  color: rgba(0, 0, 0, 0.8);

  text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.3);

  -webkit-transition: all 0.3s ease-in-out;

  transition: all 0.3s ease-in-out;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav .flex-prev:before,

#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav .flex-next:before {

  content: "\f340";

  font-family: 'dashicons' !important;

  speak: none;

  font-size: 20px;

  font-style: normal;

  font-weight: normal;

  font-variant: normal;

  text-transform: none;

  line-height: 1;

  -webkit-font-smoothing: antialiased;

  -moz-osx-font-smoothing: grayscale;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav .flex-prev {

  left: -50px;

}



#thnk-quick-view-modal .thnk-qv-image-slider .flex-direction-nav .flex-next {

  right: -50px;

  text-align: right;

  -webkit-transform: rotate(-180deg);

  -ms-transform: rotate(-180deg);

  transform: rotate(-180deg);

}



#thnk-quick-view-modal .thnk-qv-image-slider:hover .flex-direction-nav .flex-prev {

  opacity: 0.7;

  left: 10px;

}



#thnk-quick-view-modal .thnk-qv-image-slider:hover .flex-direction-nav .flex-next {

  opacity: 0.7;

  right: 10px;

}



#thnk-quick-view-content {

  height: 100%;

}



#thnk-quick-view-content div.product {

  padding: 0;

  display: inline-block;

  vertical-align: middle;

  box-sizing: border-box;
min-height: 550px;

}



#thnk-quick-view-content div.images {

  width: 50%;

  float: left;

  opacity: 1 !important;

  margin: 0;

}



#thnk-quick-view-content div.summary {

  margin: 0;

  padding: 30px;

  width: 50%;

  float: left;

}

#thnk-quick-view-content .product_meta > span{

    font-size: 13px;

    padding: 9px 13px;

}

#thnk-quick-view-modal div.product form.cart table{

margin-bottom:5px;

}

@media (max-width: 768px) {

  #thnk-quick-view-content div.summary form.cart .button {

    padding: 10px;

  }

}



@media (min-width: 545px) {

  #thnk-quick-view-content div.summary {

    content: '544';

    overflow-y: auto;

    padding-bottom: -webkit-calc(70px + 1em);

    padding-bottom: calc(70px + 1em);

  }

  #thnk-quick-view-content div.summary form.cart {

    position: absolute;

    bottom: 0;

    background: #fff;

    margin: 0 -30px;

    padding: 20px 30px 30px;

    width: 50%;

    width: -webkit-calc( 50% - 30px);

    width: calc( 50% - 30px);

    z-index:1;

  }

}



#thnk-quick-view-content div.summary .added_to_cart{

  padding-top: 5px;

}



#thnk-quick-view-content div.woocommerce-product-rating:after, #thnk-quick-view-content div.woocommerce-product-rating:before {

  content: '';

  display: table;

  clear: both;

}



#thnk-quick-view-content div.woocommerce-product-rating a.woocommerce-review-link {

  display: none;

}



#thnk-quick-view-content .onsale {

  top: 15px;

  left: 15px;

  right: auto;

}



#thnk-quick-view-close {

 position: absolute;

    font-size: 20px;

    top:10px;

    right: 10px;

    width: 28px;

    height: 28px;

    line-height: 28px;

    opacity: .7;

    text-align: center;

    z-index: 2;

    background: #000;

    color:#fff;

    border-radius: 50%;

}

#thnk-quick-view-content div.summary::-webkit-scrollbar {

    width:6px;

}

#thnk-quick-view-close:before {

content: "\f335";

font-family: dashicons;

text-decoration: inherit;

margin-left: 2px;

}



#thnk-quick-view-close:hover {

  opacity: 1;

  -webkit-transition: all 0.2s ease;

  transition: all 0.2s ease;

}



@media (max-width: 544px) {

  #thnk-quick-view-content div.images,

  #thnk-quick-view-content div.summary {

    width: 100%;

    float: none;

  }

  #thnk-quick-view-content div.summary {

    margin: 0;

    padding: 15px;

    width: 100%;

    float: left;

  }

}



/* Button On Page and Image */

.thnkaira-shop-thumbnail-wrap {

  position: relative;

}





.thnkaira-shop-thumbnail-wrap:hover .opn-quick-view-text {

  opacity: 1;

}



.woocommerce #thnk-quick-view-modal div.product form.cart .button.single_add_to_cart_button.loading {

  padding-right: 40px;

}

